This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 317051 - missing INT2 intrinsic in gfortran
missing INT2 intrinsic in gfortran
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gcc (Show other bugs)
5.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-03 12:23 EDT by Tru Huynh
Modified: 2008-05-21 10:34 EDT (History)
0 users

See Also:
Fixed In Version: RHBA-2008-0301
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:34:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tru Huynh 2007-10-03 12:23:50 EDT
Description of problem:
missing INT2 intrinsic in gfortran

Version-Release number of selected component (if applicable):
gcc-gfortran-4.1.1-52.el5.2.i386

How reproducible:
always

Steps to Reproduce:
1.gfortran int2.f
2.
3.
  
Actual results:
$ gfortran int2.f
/tmp/ccYgMSdQ.o: In function `MAIN__':
int2.f:(.text+0xc5): undefined reference to `int2_'
collect2: ld returned 1 exit status


Expected results:
no error, using g77 from compat-gcc-34-g77-3.4.6-4.i386 yields no error

Additional info:
$ more int2.f 
*
      PROGRAM HELLO
      WRITE(UNIT=*, FMT=*) 'Hello World'
      WRITE(UNIT=*, FMT=*) INT2(0)
      END
Comment 1 Jakub Jelinek 2007-10-04 08:20:47 EDT
The int conversion part of
http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=115754
is backportable (but not for mlock/lstat, as that needs new entries in
libgfortran).
Comment 2 RHEL Product and Program Management 2007-10-15 23:36:22 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Jakub Jelinek 2007-10-17 17:22:15 EDT
Backported patch in Fedora development gcc-gfortran-4.1.2-32 so far.
Comment 4 Petr Muller 2007-12-07 05:13:38 EST
QA_ACK+, reproducer in comment 0
Comment 5 Jakub Jelinek 2008-01-03 05:06:19 EST
Preliminary packages uploaded to http://people.redhat.com/jakub/gcc/4.1.2-37.el5/
Comment 9 errata-xmlrpc 2008-05-21 10:34:10 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0301.html

Note You need to log in before you can comment on or make changes to this bug.